Name:		openvas-manager
Version:	6.0.9
Release:	%mkrel 1
Summary: 	Vulnerability Management with OpenVAS Manager
Group:		Security
License:	GPLv2+
Url:		http://www.openvas.org
Source:		http://wald.intevation.org/frs/download.php/1232/%name-%version.tar.gz
BuildRequires: pkgconfig(glib-2.0) >= 2.16
BuildRequires: pkgconfig(gnutls) >= 2.8
BuildRequires: pkgconfig(libopenvas_base) >= 8.0.5
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(uuid)
BuildRequires:	pcap-devel
BuildRequires:	gpgme-devel
BuildRequires:	doxygen
BuildRequires:	xmltoman
BuildRequires:	perl-SQL-Translator
BuildRequires:	cmake

%description
The OpenVAS Manager is a layer between the OpenVAS Scanner and various
client applications. The upcoming clients cover web, desktop and command
line technology and will replace the classic OpenVAS Client. 

%prep
%setup -q

find . -name CMakeLists.txt | xargs perl -pi -e 's/-Werror//'

%build
%cmake
%make

%install
%makeinstall_std -C build

%files
%doc %{_datadir}/doc/openvas-manager/html/omp.html
%config(noreplace) %{_sysconfdir}/openvas/openvasmd_log.conf
%config(noreplace) %{_sysconfdir}/openvas/pwpolicy.conf
%{_sbindir}/openvasmd
%{_sbindir}/greenbone-scapdata-sync
%{_sbindir}/openvas-scapdata-sync
%{_sbindir}/greenbone-certdata-sync
%{_sbindir}/openvas-certdata-sync
%{_sbindir}/openvas-migrate-to-postgres
%{_sbindir}/openvas-portnames-update
%{_datadir}/openvas/openvasmd
%{_datadir}/openvas/scap
%{_datadir}/openvas/cert
%{_datadir}/openvas/openvas-lsc-rpm-creator.sh
%{_mandir}/man8/openvasmd.8*


%changelog
* Thu Sep 29 2016 guillomovitch <guillomovitch> 6.0.9-1.mga6
+ Revision: 1057550
- new version 6.0.9

* Sun Feb 21 2016 guillomovitch <guillomovitch> 6.0.7-1.mga6
+ Revision: 975127
- new version 6.0.7

* Mon Jan 11 2016 luigiwalser <luigiwalser> 6.0.6-2.mga6
+ Revision: 921828
- rebuild for gnutls

* Mon Oct 26 2015 guillomovitch <guillomovitch> 6.0.6-1.mga6
+ Revision: 895501
- new version 6.0.6

* Mon Jul 27 2015 guillomovitch <guillomovitch> 6.0.4-1.mga6
+ Revision: 858325
- new version 6.0.4

* Mon Jun 29 2015 guillomovitch <guillomovitch> 6.0.3-1.mga6
+ Revision: 847364
- new version 6.0.3

* Tue Feb 10 2015 guillomovitch <guillomovitch> 5.0.8-1.mga5
+ Revision: 814540
- new version 5.0.8

* Wed Dec 03 2014 guillomovitch <guillomovitch> 5.0.7-1.mga5
+ Revision: 800436
- new version 5.0.7

* Sun Nov 09 2014 guillomovitch <guillomovitch> 5.0.5-1.mga5
+ Revision: 796129
- new version 5.0.5

* Wed Oct 15 2014 umeabot <umeabot> 5.0.4-2.mga5
+ Revision: 740641
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 guillomovitch <guillomovitch> 5.0.4-1.mga5
+ Revision: 737337
- new version 5.0.4

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sun Sep 07 2014 guillomovitch <guillomovitch> 5.0.3-1.mga5
+ Revision: 673238
- new version 5.0.3

* Sun Jun 29 2014 barjac <barjac> 5.0.2-1.mga5
+ Revision: 640996
- new version 5.0.2
- update files list

* Sat Oct 19 2013 umeabot <umeabot> 4.0.2-2.mga4
+ Revision: 531312
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 fwang <fwang> 4.0.2-1.mga4
+ Revision: 462928
- new version 4.0.2

* Sat Jun 01 2013 fwang <fwang> 4.0.0-1.mga4
+ Revision: 433906
- update file list
- new version 4.0.0

* Sun Jan 13 2013 umeabot <umeabot> 3.0.5-2.mga3
+ Revision: 362179
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 fwang <fwang> 3.0.5-1.mga3
+ Revision: 336130
- new version 3.0.5

* Wed Oct 17 2012 guillomovitch <guillomovitch> 3.0.3-1.mga3
+ Revision: 307638
- new version
- switch to Security group

* Tue Aug 02 2011 fwang <fwang> 2.0.4-2.mga2
+ Revision: 131410
- rebuild for new gnutls

  + guillomovitch <guillomovitch>
    - new version
    - spec cleanup

* Tue Feb 01 2011 dmorgan <dmorgan> 1.0.4-1.mga1
+ Revision: 46033
- imported package openvas-manager

